%define content design-graphics
%define theme MaxSelect
%define pkgtheme maxselect
%define priority 5

Name: %content-%pkgtheme
Version: 3.1.4
Release: alt1

Summary: design for ALT
License: Distributable
Group: Graphics

BuildArch: noarch

PreReq(post,preun): alternatives >= 0.2
Provides: gnome-session-splash = %version-%release
Obsoletes: gnome-session-splash
#
Provides: design-graphics = %version-%release
Obsoletes: design-graphics
%if "%theme" != "%pkgtheme"
Provides: design-graphics-%theme = %version-%release
Obsoletes: design-graphics-%theme < %version-%release
%endif

# Gnome splash screen from art.gnome.org
# Name: GNOME2-Mountains
# Author: Roman "star" Beigelbeck <roman_n0spam@gnome.org>
# Release Date: 08/06/2002
Source0: %content-%theme-%version.tar.gz

BuildRequires: libalternatives-devel

%description
This package contains some graphics for ALT design.

%prep
%setup -q -n %content-%theme-%version

%build

%install
mkdir -p %buildroot/%_datadir/design/{%theme,backgrounds}
cp -ar %_builddir/%content-%theme-%version/* %buildroot/%_datadir/design/%theme

pushd %buildroot/%_datadir/design/%theme
    pushd backgrounds
	ln -sf ../../../wallpapers more
    popd
popd

install -d %buildroot//etc/alternatives/packages.d
cat >%buildroot/etc/alternatives/packages.d/%content-%theme <<__EOF__
%_datadir/artworks	%_datadir/design/%theme	%priority
%_datadir/design-current	%_datadir/design/%theme	%priority
__EOF__

%post
%post_register_alternatives %content-%theme
%update_alternatives

%preun
%preun_unregister_alternatives %content-%theme
%update_alternatives

%files
%config /etc/alternatives/packages.d/%content-%theme
%_datadir/design

%changelog
* Wed Oct 05 2005 Sergey V Turchin <zerg at altlinux dot org> 3.1.4-alt1
- initial spec
